Page MenuHomeMiraheze

Import for oecumene.miraheze.org
Closed, ResolvedPublic

Description

Hello.

I've got a zip-archive with images and sql-file from my old wiki. I'd like to ask you to import all pages and images to oecumene.miraheze.org if it's possible, because simply I don't know how can i turn sql-file into the xml-dump from wiki.

Here are the files:

Event Timeline

Bounce created this task.Aug 2 2019, 20:46

For the flow issue, Please wait 15-20 mins after enabling it and it should work.

For imports, That's @Reception123's job I think

Bounce added a comment.Aug 2 2019, 23:46

Unfortunately waiting didn't helped at all :(

In T4598#87385, @Bounce wrote:

Unfortunately waiting didn't helped at all :(

Can you file another ticket for the flow issue and we'll look into it?

Bounce added a comment.Aug 3 2019, 13:19
In T4598#87385, @Bounce wrote:

Unfortunately waiting didn't helped at all :(

Can you file another ticket for the flow issue and we'll look into it?

Here: https://phabricator.miraheze.org/T4604

RhinosF1 renamed this task from Import for oecumene.miraheze.org and some other staff to Import for oecumene.miraheze.org.Aug 3 2019, 14:05
RhinosF1 updated the task description. (Show Details)
Bounce added a comment.Aug 4 2019, 18:05

How soon will you import it? I've heard something about lack of database space...

In T4598#87583, @Bounce wrote:

How soon will you import it?

Probably a few days minimum to start it but imports can take a bit to fully run, @Reception123 who manages this won't be around for a few days as far as I know.

I've heard something about lack of database space...

We are looking to purchase a new database for static Miraheze content and you can find disk space information on https://icinga.miraheze.org/authentication/login?redirect=monitoring%2Flist%2Fservices%3Fservice_state%3D2%26service_handled%3D0 (login is guest/guest) - We have limited resources as we are fully funded by donations. (https://meta.miraheze.org/wiki/Donate)

AmandaCath triaged this task as Normal priority.Aug 5 2019, 14:26
Bounce added a comment.Aug 8 2019, 20:34

While I'm waiting for import I've got a question: is it even possible to convert sql into xml?

In T4598#87894, @Bounce wrote:

While I'm waiting for import I've got a question: is it even possible to convert sql into xml?

It's possible, we have a method for it.

But just to ask, do you have an XML? (It would be easier for us)

Bounce added a comment.Aug 9 2019, 14:33

Unfortunately no. I've tried to find XML in my old backup archive from 2017 before creating a request, but I didn't find anything but a SQL file.

Reception123 updated the task description. (Show Details)Aug 14 2019, 16:17
Paladox added a subscriber: Paladox.Aug 16 2019, 16:43

Import done.

Images only left to import.

Bounce added a comment.Aug 17 2019, 10:33

That's pretty good.

Bounce added a comment.Aug 25 2019, 20:21

It's pretty long.

Bounce added a comment.Sep 2 2019, 11:18

Have you forgotten?..

RhinosF1 assigned this task to Paladox.Sep 2 2019, 12:59
Bounce added a comment.Sep 11 2019, 17:00

We can't continue our work without any images out there.

Apologies for this, I'll set it off later.

RhinosF1 closed this task as Resolved.Sep 11 2019, 19:03

Done

rhinos@test1:~$ sudo -u www-data php /srv/mediawiki/w/maintenance/importImages.php --wiki oecumenewiki /home/rhinos/oecumene/ --search-recursively
Import Images

Importing 20170102122200!Asper_roten2.png...done.
Importing 20161205143145!phpg54oK4.jpg...done.
Importing 120px-14i78hxnwmpk.7yabol.1.jpg...done.
Importing 20161207073820!php9mLKH7.jpg...done.
Importing 20161209140352!phpq7Tfg6.jpg...done.
Importing 20161207190120!phpgoIJlu.jpg...done.
Importing 120px-14idxnc4e83c.bpdmac.1.jpg...done.
Importing 20161207074117!php9ZSu6N.jpg...done.
Importing 120px-14ichkveelfs.3k08y9.1.jpg...done.
Importing 20161208151816!phppRDIPc.jpg...done.
Importing 120px-14igitnp5a8s.878uar.1.jpg...done.
Importing 20161210102006!phpu3qKeu.jpg...done.
Importing 120px-14im0i4fmkow.mnlqt9.1.jpg...done.
Importing 20161205153139!phpdXvmnq.png...done.
Importing 20161205154134!php8rQnQl.png...done.
Importing 20161207074120!localcopy_d0db276cf74a.jpg...done.
Importing 120px-14ichl0b9x4k.z6blnr.1.jpg...done.
Importing 120px-14igirlptpl0.4y0sh1.1.jpg...done.
Importing 20161208151732!phpYXffZ5.jpg...done.

Found: 19
Added: 19

Bounce added a comment.Sep 12 2019, 09:35

But there's something wrong with the titles of these images. What happened?

And were there only 19 pictures in 171 MB archive? It's strange.

In T4598#89836, @Bounce wrote:

But there's something wrong with the titles of these images. What happened?

That's the title used for the images in the file

And were there only 19 pictures in 171 MB archive? It's strange.

Yep, That's all that was in the file

Bounce added a comment.Sep 12 2019, 15:11

Nonsense, do you really think that there were only 19 images in 171 mb archive??

@Bounce I'm going to re-check the files but a lot of it was dead end folders with nothing in (Please note that the deleted and thumb folders are not imported)

In T4598#89842, @Bounce wrote:

Nonsense, do you really think that there were only 19 images in 171 mb archive??

I've found some more deeper in the file system alongside some non-images so I believe the script got confused. When I checked earlier I found lots of empty folders though in the archive.

RhinosF1 reopened this task as Open.Sep 12 2019, 15:45

I've manually put all the images in a new file and will import that

15:46 RhinosF1: rhinos@mw1 sudo -u www-data php /srv/mediawiki/w/maintenance/importImages.php --wiki oecumenewiki /home/rhinos/oecumene/

RhinosF1 closed this task as Resolved.Sep 12 2019, 16:16